List Bulk Operation Jobs
curl --request GET \
--url https://api.loopreturns.com/api/v1/bulk-operations/{id}/jobs \
--header 'X-Authorization: <api-key>'import requests
url = "https://api.loopreturns.com/api/v1/bulk-operations/{id}/jobs"
headers = {"X-Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Authorization': '<api-key>'}};
fetch('https://api.loopreturns.com/api/v1/bulk-operations/{id}/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bulk_operation_jobs": [
{
"id": 123,
"type": "order_create",
"status": "pending",
"row_number": 42,
"result": "{\"product\": {\"id\": 810772, \"external_id\": \"example-id\", \"sku\": \"SHOES-US44-M-Brwn\"}}",
"created_at": "2023-04-25T13:25:00-05:00",
"updated_at": "2023-04-25T13:25:00-05:00"
}
],
"next_page_url": "<string>",
"previous_page_url": "<string>"
}{
"errors": "Unauthorized."
}Bulk Operations
List Bulk Operation Jobs
Retrieve a list of bulk operation jobs. The list can be sorted and paginated using the parameters below.
GET
/
bulk-operations
/
{id}
/
jobs
List Bulk Operation Jobs
Authorizations
API Scope: "Bulk Operations (read)"
Path Parameters
The unique identifier for the bulk operation, created by Loop.
Query Parameters
The maximum number of bulk operation jobs returned.
Required range:
x <= 250The sort order for the results.
Available options:
asc, desc The cursor to return the next page of results.